﻿// Copyright (c) Microsoft Corporation. All rights reserved.
// Licensed under the MIT License. See LICENSE in the project root for license information.

namespace Microsoft.WindowsAppSDK
{
    // Release information
    public class Release
    {
        public const ushort Major = 1;
        public const ushort Minor = 2;
        public const ushort Patch = 0;
        public const uint MajorMinor = 0x00010002;

        public const string Channel = "experimental";

        public const string VersionTag = "experimental1";
        public const string VersionShortTag = "e1";

        public const string FormattedVersionTag = "-experimental1";
        public const string FormattedVersionShortTag = "-e1";
    }

    // Runtime information
    namespace Runtime
    {
        public class Identity
        {
            public const string Publisher = "CN=Microsoft Corporation, O=Microsoft Corporation, L=Redmond, S=Washington, C=US";
            public const string PublisherId = "8wekyb3d8bbwe";
        }

        public class Version
        {
            public const ushort Major = 2000;
            public const ushort Minor = 572;
            public const ushort Build = 710;
            public const ushort Revision = 0;
            public const ulong UInt64 = 0x07D0023C02C60000;
            public const string DotQuadString = "2000.572.710.0";
        }

        namespace Packages
        {
            public class Framework
            {
                public const string PackageFamilyName = "Microsoft.WindowsAppRuntime.1.2-experimental1_8wekyb3d8bbwe";
            }
            public class Main
            {
                public const string PackageFamilyName = "MicrosoftCorporationII.WinAppRuntime.Main.1.2-e1_8wekyb3d8bbwe";
            }
            public class Singleton
            {
                public const string PackageFamilyName = "MicrosoftCorporationII.WinAppRuntime.Singleton-e1_8wekyb3d8bbwe";
            }
            namespace DDLM
            {
                public class X86
                {
                    public const string PackageFamilyName = "Microsoft.WinAppRuntime.DDLM.2000.572.710.0-x8-e1_8wekyb3d8bbwe";
                }
                public class X64
                {
                    public const string PackageFamilyName = "Microsoft.WinAppRuntime.DDLM.2000.572.710.0-x6-e1_8wekyb3d8bbwe";
                }
                public class Arm64
                {
                    public const string PackageFamilyName = "Microsoft.WinAppRuntime.DDLM.2000.572.710.0-a6-e1_8wekyb3d8bbwe";
                }
            }
        }
    }
}
